import { h } from "@stencil/core";
/**
 * Typing Indicator
 * Used to indicate that other participants of the chat are typing.
 *
 * @private
 */
export class TypingIndicator {
    render() {
        return (h("div", { key: 'da6a23e31e0d54dd99f45de9f6ef27ed5562a96b', class: "typing-ellipsis" }, h("div", { key: 'd4f1af82536b37640041525ef6f448a87819d220', class: "circle" }), h("div", { key: '3523c0242ee91eeec62b95ca932cff67ee82e8e6', class: "circle" }), h("div", { key: 'ac2c1b8e9180776961a8ab0bd96f1ed219bb4d5f', class: "circle" })));
    }
    static get is() { return "limebb-typing-indicator"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["typing-indicator.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["typing-indicator.css"]
        };
    }
}
